<script type="text/javascript">
    function confirmation() {
      if(confirm("Esta seguro de cerrar la Consulta?"))
      {
         return true;
      }
      return false;
     }
  </script> 

<?php
 include("header.php");
 include("conexionOdo.php");
?>
  
  <?php

   /////////////////////////////////////////////////
   ///////////// INICIO CERRAR HISTORIA ////////////////
   /////////////////////////////////////////////////
 
   if(isset($_GET['btnCerrar']))
   {
   
      date_default_timezone_set('America/Bogota');
      $w_fecha        = date("Y-m-d",time());
      $s_NumTemp      = $_POST['nroTemp'];
      $s_perfil       = $_POST['perfil'];
      $s_tipohistoria = $_POST['s_tipohistoria'];
      $s_perfil     = $_SESSION['perfil'];

      $citaCerrar = $_GET['btnCerrar'];

      //ACTUALIZAR
      $queryUpdt = "UPDATE SIO_O_CITAS SET estado = 'ATENDIDA' WHERE preConsulta = $citaCerrar";
      $result = mysql_query($queryUpdt) or die('Cierre de cita fallida: ' . mysql_error());

      echo '<br>';
      echo "Cita No." . $citaCerrar . "  Cerrada Exitosamente!";
      echo '<br>';
   }////CERRAR



    function odontologo($odontologo)
    { 
     //toma nombre del odontologo seleccionado
     $query  = "SELECT * FROM SIME_BAS_N_USUARIOS WHERE idUsuario = $odontologo "; 
     $result = mysql_query($query) or die('Consulta nombre de odontologo fallida: ' . mysql_error());
     $line   = mysql_fetch_array($result, MYSQL_ASSOC);
     $nomConsultado = "ODONTOLOGO: " . $line['nomUsuario'] . " " . $line['apell1Usuario'] . " " . $line['apell2Usuario'];
     // Liberar resultados
     mysql_free_result($result);
          
     return $nomConsultado;
    }
    
    session_start();    
    $s_nitEmpresa = $_SESSION['nitEmpresa']; 
    $s_codSede    = $_SESSION['codSede'];
    $s_usuario    = $_SESSION['nombreUsuario'];
    $s_empresa    = $_SESSION['empresaUsuario'];
    $s_cargo      = $_SESSION['cargoUsuario'];
    $s_idUsuario  = $_SESSION['idUsuario'];
    
    //nombre del odontologo
    $nomConsultado = odontologo($s_idUsuario );
    
  ?>
   
   <form method="get" action="<?php echo $_SERVER['PHP_SELF']; ?>"> 
     <table align="center" border="1" width="960"> 
      <p></p>
      <p></p>
      <p></p>
      <p></p>
      <tr>  
       <td width ="30%" class="titulosTabla1"><label>AGENDA DE CONSULTAS PARA:</label></td>
       <td width ="70%" class="titulosTabla"><?=$nomConsultado?></td>
      </tr>
     </table>
   
   <?php
     // arma listado de citas asignadas al médico
     $query=" SELECT * FROM SIO_O_CITAS WHERE medConsulta = $s_idUsuario AND estado='ASIGNADA'order by preConsulta";
     $result = mysql_query($query) or die('Consulta de citas fallida: ' . mysql_error());
     
     $i=0;
     while ($line = mysql_fetch_array($result, MYSQL_ASSOC)) 
     {
      $tipoIdc     = $line["tipoId"];
      $idPaciente  = $line["idPaciente"];
      $preCita     = $line["preConsulta"];
      $escita      = $line["estado"];
      $fecCita     = $line["fechaAsignacion"];
      $obsCita     = $line["observaciones"];
      $sedeCita    = $line["codSede"];
      $tratamiento = $line["tratamiento"];
      
      $s_horaAsig  = $line["horaAsignacion"];
      $s_horaIniA  = $line["horaIniAtencion"];
      $s_horaFinA  = $line["horaFinAtencion"];
  
      $partaAsig  = explode(" ",$s_horaAsig);
      $horaAsig   = $partaAsig[1];

      $partaFinA = explode(" ",$s_horaFinA);
      $horaFinA  = $partaFinA[1];      
       
      $queryp = "SELECT nomPaciente, nomPaciente2, apell1Paciente, apell2Paciente ".
                " FROM SIME_BAS_PACIENTE WHERE tipoId='$tipoIdc' AND idPaciente=$idPaciente";        
      $resultp = mysql_query($queryp) or die('Consulta de paciente fallida: ' . mysql_error());          
      $linep   = mysql_fetch_array($resultp, MYSQL_ASSOC);
      $n1  = $linep["nomPaciente"];
      $n2  = $linep["nomPaciente2"];
      $a1  = $linep["apell1Paciente"];
      $a2  = $linep["apell2Paciente"];
        
      $nomPac = $n1 . " " . $n2 . " " . $a1 . " " . $a2;
      
      $querys = "SELECT nomSede ".
                " FROM SIME_BAS_SEDES WHERE codSede=$sedeCita";        
      $results = mysql_query($querys) or die('Consulta de sede fallida: ' . mysql_error());          
      $lines   = mysql_fetch_array($results, MYSQL_ASSOC);
      $s_nomSede  = $lines["nomSede"];      
      
      //numero de cita
      $pc = $preCita;
      $pcE = base64_encode($pc);
      
      $tr = $tratamiento. "/" . $preCita;
      $trE = base64_encode($tr);
        
      echo("<table align='center' width='960' cellpading='0'>\n");
      //echo ("<form method='post' action='historiaClinica.php'>\n");
      if ($i==0)
      {// para mostrar titulos 
       //echo ("<tr>\n");
       //   echo   ("<td class='subtutulosTabla' align='center' colspan='4'>DIAGNOSTICOS</td>\n");
       //echo("</tr>\n");
       echo("<tr class='titulosLista'>\n");
         echo("<td width='150' class='negrita'align='left'>Toque para Atender</td>\n");
         echo("<td width='100' class='negrita' align='left'>H.Asg</td>\n");
         echo("<td width='100' class='negrita' align='left'>Tratamiento #</td>\n");
        echo("<td width='110' class='negrita' align='left'>Consulta No. #</td>\n");
         echo("<td width='100' class='negrita'>Sede</td>\n");
         echo("<td width='280' class='negrita'>Paciente</td>\n");
         echo("<td width='280' class='negrita'>Observaciones</td>\n");
         echo("<td width='280' class='negrita' align='center'>Cerrar Cita</td>\n");

       echo("</tr>\n");  
      }
      if ($i%2==0)
       {
         echo("<tr class='camposLista'>\n"); 
       }  
       else
       {
        // echo("<tr style='background-color: rgba(41, 128, 185, 0.2);'>\n");
          echo("<tr class='camposLista'>\n"); 
       }
       
       if ($tratamiento>0)
       {
        echo("<td width='150' align='left'> <a href=sioTraOdo1.php?tr=$trE><span class='icon-pencil2' style='font-size:14px; color:rgba(41, 128, 185, 1);'> <span style='font-size:14px; font-family:Arial; color:rgba(41, 128, 185);'>$fecCita</a></td>\n");
       }
       else
       {
        $tratamiento='Fuera de Trat.';
        echo("<td width='150' align='left'> <a href=sioBarraOdo1.php?pc=$pcE><span class='icon-pencil2' style='font-size:14px; color:rgba(41, 128, 185, 1);'> <span style='font-size:14px; font-family:Arial; color:rgba(41, 128, 185);'>$fecCita</a></td>\n");
       }
       
        echo("<td width='100' align='left' class='camposTabla'>$horaAsig</td>\n");
        echo("<td width='100' align='right' class='camposTabla'>$tratamiento</td>\n");
        echo("<td width='100' align='center' class='camposTabla'>$preCita</td>\n");
        echo("<td width='110' align='center' class='camposTabla'>$s_nomSede</td>\n");
        echo("<td width='290' align='center' class='camposTabla'>$tipoIdc: $idPaciente: $nomPac</td>\n");
        echo("<td width='280' class='camposTabla' align='left'>$obsCita</td>\n");
echo("<td width='70' align='center'><button type='submit' id='btnCerrar' name='btnCerrar' value=$pc style='width:80px; height:30px' onclick='return confirmation()'/> Cerrar  </button></td>\n");
      echo("</tr>\n");
          

       $i = $i+1;
     }// while
     echo("</table>\n");
     // Liberar resultados
     mysql_free_result($result);
     // Cerrar la conexion
     mysql_close($link);   
     
     if ($i==0)
     {
       $mensRep = "NO EXISTEN CITAS ASIGNADAS TOQUE 'NUEVO' PARA UNA NUEVA CITA";
     }
      
   ?>  
     <table align="center" width="960">
      <p>
     

      </p>
      <tr>
        <td class="titulosTabla"><?=$mensRep?></td>
      </tr>  
     <table> 
     
     <table align="center" width="960">
      <tr>
         <td align="left"> 
            <a href=menuOpciones.php><img src="imagenes/btnVol.jpg"></a>
         </td>
        
         <td align="right">
            <a href=conPaciente.php?opc=nu> <img src="imagenes/nvoCitaOft.jpg"></a>
         </td> 
      </tr> 
       
      <tr>
         <td colspan="2"  align="center" class="negrita">Para una cita nueva de urgencias toque la Opci&oacuten 'NUEVA CITA FUERA DE TRATAMIENTO', <br> Para una atenci&oacuten de tratamiento se debe asignar la cita primero </td> 
      </tr>   
    </table>
      </form>

  </body>  
 </html>